Earlier in our docs is an overview of our Know Your Business [here](https://developer.incode.com/docs/ekyb). Now, this page is focused specifically on eKYB in Israel (IL). eKYB in IL leverages the government sources of truth to validate the legitimacy of businesses, including their taxID, business name, and business address.

Note: Israel eKYB does not currently support UBO or Director verification.

# Integration

## User input flow

eKYB user input flow example

## Module Configuration

Module configuration gives various options to specify different KYB criteria you would like to check (eg. Business name, Business Address, and Business taxID).

KYB module configuration

## Direct API Approach

All module configurations and user data can be forwarded directly in the request for performing an KYB search. This will override existing configuration and data collected about the user.

### API Authentication

All endpoints require authentication headers to be specified as stated in [Incode API Documentation](https://developer.incode.com/reference/introduction)

### [KYB request](https://developer.incode.com/reference/externalverificationekyb)

**POST /omni/externalVerification/ekyb**

This endpoint performs an KYB check for the business specified. Note: Endpoint can have empty body {} and in that case information will be pulled from module configuration and session details.

- **plugins: must be["ekyb"]:** (mandatory)
- **businessName:**: (mandatory) String. Name of the business.
- **street**: (optional) String. Street name of the business.
- **houseNo**: (optional) String. Building or house number on the street.
- **addressLine2**: (optional) String. Address line 2 of the business. (eg. apartment or unit number)
- **city**: (optional) String. City of the business of the business address.
- **state**: (optional) String. State of the business of the business address
- **postalCode**: (optional) String. postalCode formatted based on per-country postalCode basis.
- **country**: (mandatory) String. Two letter Alpha-2 country code. (Must be IL)
- **taxId**: (mandatory) String. Tax ID of the business

**Note:** The country parameter is used to limit business validation to that specific region. We will only validate a business established in the country selected in the eKYB request.

### Business Tax ID in IL

In Israel, the Business Tax ID is known as the "Mispar Osek" (עסק מספר), which is essentially the VAT registration number for businesses. The format and structure are as follows:

- Format: It is a 9-digit number.
- The first digit indicates the entity type, and the remaining digits are a unique identifier.

```jsx
REQUEST FORMAT EXAMPLE
{
  "plugins" : ["ekyb"], //required field
  "businessName" : "אי. אם.טי הפצה ולוגיסטיקה בי אנד בי בע~מ", //required field
  "street" : "חומה ומגדל",
  "houseNo" : "22",
  "addressLine2" : "",
  "city" : "תל אביב - יפו",
  "state" : "ישראל",
  "postalCode" : "",
  "country" : "IL", //required field
  "taxId" : "XXXXXXXXX", //required field
}
```

### Response

All module configurations and user data can be forwarded directly in the request for performing an eKYB search. This will override existing configuration and data collected about the user.

### API Authentication

All endpoints require authentication headers to be specified as stated in [Incode API Documentation](https://developer.incode.com/reference/introduction)

```jsx
RESPONSE EXAMPLE

"kyb": [\
    {\
      "key": "name",\
      "sub_label": "Verified"\
    },\
    {\
      "key": "tin",\
      "sub_label": "Verified"\
    },\
    {\
      "key": "address_verification",\
      "sub_label": "Verified"\
    },\
    {\
      "key": "cityMatch",\
      "sub_label": "Verified"\
    },\
    {\
      "key": "registrationStatus",\
      "sub_label": "Active"\
    },\
      {\
      "key": "entityType",\
      "entityType": {\
      "entityType": "Israeli Private Company"\
    }\
    }\
}\
```

| Israel API Key | Status | Definition |
| --- | --- | --- |
| name | Verified, Approximate Match, Unverified | Submitted business name is verified, approximate match, or unverified against the business name associated with the business Tax ID in the government database. |
| tin | Verified, Unverified | Submitted Tax ID is found or not found in the government database. |
| address_verification | Verified, Approximate Match, Unverified | Submitted address is verified, approximate match, or unverified against the address associated with the business Tax ID in the government database. |
| cityMatch | Verified, Approximate Match, Unverified | Submitted city is verified, approximate match, or unverified against the address associated with the business taxID in the government database. |
| registrationStatus | Active, Inactive | Submitted business is active or inactive. |
| entityType | Legal entity type of the business | This displays the legal entity type of the company, if available, from an official source. If not available, “Unknown” is displayed. |

Learning more about _Approximate Match_ : Approximate Match is generated through Incode's proprietary fuzzy matching algorithm. If approximate match is returned, the algorithm has identified a similar match with the string submitted in relation to the string stored in the government source of truth for a particular field. Approximate Match is returned when exact matches are not possible due to misspellings, typographical errors, or slight variations in input data.

### KYB error responses

Please refer to [error response](https://developer.incode.com/reference/introduction#api-responses) to see conventional HTTP response codes to indicate the success or failure of an API request.

Custom 400 error messages if businessName, taxId, or country is “ “ or null:

message: businessName, taxId, and country are minimum required fields.

## Single Session Dashboard Results

They are available on Single Session view under _Business_ tab

eKYB results

Updated 19 days ago.
